--- ./CMakeLists.txt.orig
+++ ./CMakeLists.txt
@@ -2,16 +2,25 @@
 project(pynest2d)
 cmake_minimum_required(VERSION 3.20)
 
-find_package(nest2d REQUIRED)
-find_package(cpython REQUIRED)
+list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-find_package(standardprojectsettings REQUIRED)
-find_package(sipbuildtool REQUIRED)
+find_package(Libnest2D REQUIRED)
 
+find_package(Python REQUIRED COMPONENTS Interpreter Development)
+find_package(SIP REQUIRED 6.5.0)
+
 add_library(pynest2d INTERFACE)
-use_threads(pynest2d)
 
-target_link_libraries(pynest2d INTERFACE nest2d::nest2d cpython::cpython)
+target_include_directories(pynest2d
+        INTERFACE
+        $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
+        $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/python/>
+        )
+
+find_package(Threads REQUIRED)
+find_package(Boost REQUIRED)
+target_link_libraries(pynest2d INTERFACE Libnest2D::libnest2d Python::Python Threads::Threads Boost::boost)
+
 add_sip_module(pynest2d)
 install_sip_module(pynest2d)
 
